%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
Name:		luckybackup
Version:	0.4.8
Release:	1%{?dist}
Summary:	A powerful, fast and reliable backup and sync tool

Group:		Applications/System
License:	GPLv3+
URL:		http://luckybackup.sourceforge.net/index.html
Source0:	http://downloads.sourceforge.net/project/%{name}/%{version}/source/%{name}-%{version}.tar.gz

BuildRequires:	qt-devel, desktop-file-utils
Requires:	beesu

%description
luckyBackup is an application that backs-up and/or synchronizes any 
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not all data), 
safe (keeps your data safe by checking all declared directories before 
proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q
sed -i 's,/usr/share/doc/luckybackup,%{_pkgdocdir},' luckybackup.pro
sed -i 's,/usr/share/doc/luckybackup/license/gpl.html,%{_pkgdocdir}/license/gpl.html,' src/global.h
sed -i 's,/usr/share/doc/luckybackup/manual/index.html,%{_pkgdocdir}/manual/index.html,' src/global.h
sed -i 's,su-to-root -X -c,/usr/bin/beesu,' menu/%{name}-gnome-su.desktop
chmod a-x manual/index.html

%build
qmake-qt4 && make %{?_smp_mflags}

%install
rm -rf %{buildroot}
INSTALL_ROOT=%{buildroot} \
  make install DESTDIR=%{buildroot}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-kde-su.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gnome-su.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root,-)
%doc readme/README readme/changelog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_datadir}/man/man8/*.8.*
%{_datadir}/menu
%{_datadir}/pixmaps/%{name}*

%changelog
* Wed Mar 26 2014 - Michael J Gruber <mjg@fedoraproject.org> 0.4.8-1
- luckybackup 0.4.8

* Mon Nov 11 2013 - Michael J Gruber <mjg@fedoraproject.org> 0.4.7-5
- follow F20 unversioned docdir change (bug #993914)
- spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 15 2012 Michael J Gruber <mjg@fedoraproject.org> 0.4.7-1
- luckybackup 0.4.7
- fix spurious x bits on html manual

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 15 2011 Michael J Gruber <mjg@fedoraproject.org> 0.4.6-1
- luckybackup 0.4.6

* Thu Mar 10 2011 Michael J Gruber <mjg@fedoraproject.org> 0.4.5-1
- luckybackup 0.4.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.4-1
- luckybackup 0.4.4 bugfix release

* Sun Sep 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.3-1
- luckybackup 0.4.3 bugfix release

* Sun Aug 29 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.2-1
- luckybackup 0.4.2 bugfix release

* Thu Jun 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.1-1
- luckybackup 0.4.1 bugfix release

* Wed May 19 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.0-1
- luckybackup 0.4.0 fixes and improvements

* Sun Mar 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-3
- replace consolekit solution to default (upstream) behavior user and root
- fixes bug #570804
- added Requires beesu

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-2
- Added missing files
- Fixes Bug 565428

* Mon Jan 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.5-1
- update to source 0.3.5
- removed luckybackup.desktop

* Thu Nov 26 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.3.3-1
- Initial Fedora release
